# Class ProblemMarker

java.lang.Object
org.eclipse.ui.views.markers.internal.MarkerNode
org.eclipse.ui.views.markers.internal.ConcreteMarker
org.eclipse.ui.views.markers.internal.ProblemMarker

public class ProblemMarker extends ConcreteMarker

## Constructor Summary

Constructors
Constructor
Description
`ProblemMarker(IMarker toCopy)`

## Method Summary

Modifier and Type
Method
Description
`int`
`getSeverity()`
`void`
`refresh()`
Refresh the properties of this marker from the underlying IMarker instance

### Methods inherited from class ConcreteMarker

`clearCache, equals, getChildren, getConcreteRepresentative, getCreationTime, getDescription, getDescriptionKey, getFolder, getGroup, getId, getLine, getLocationString, getMarker, getParent, getResource, getResourceName, getResourceNameKey, getShortFolder, getType, hashCode, isConcrete, setCategory, setGroup`

### Methods inherited from class Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ProblemMarker

public ProblemMarker(IMarker toCopy)

## Method Details

### refresh

public void refresh()
Description copied from class: `ConcreteMarker`
Refresh the properties of this marker from the underlying IMarker instance

Overrides:
  `refresh` in class `ConcreteMarker`

### getSeverity

public int getSeverity()